# Uses of Interface
org.eclipse.e4.ui.model.application.ui.menu.MDynamicMenuContribution

Packages that use MDynamicMenuContribution
Package
Description
org.eclipse.e4.ui.model.application.ui.menu
Application programming interfaces describing the Eclipse 4 menu and toolbar model elements.
org.eclipse.e4.ui.model.application.ui.menu.impl
org.eclipse.e4.ui.model.application.ui.menu.util

## Uses of MDynamicMenuContribution in org.eclipse.e4.ui.model.application.ui.menu

Methods in org.eclipse.e4.ui.model.application.ui.menu that return MDynamicMenuContribution
Modifier and Type
Method
Description
`MDynamicMenuContribution`
MMenuFactory.`createDynamicMenuContribution()`
Returns a new object of class 'Dynamic Menu Contribution'.

## Uses of MDynamicMenuContribution in org.eclipse.e4.ui.model.application.ui.menu.impl

Classes in org.eclipse.e4.ui.model.application.ui.menu.impl that implement MDynamicMenuContribution
Modifier and Type
Class
Description
`class`
`DynamicMenuContributionImpl`
An implementation of the model object 'Dynamic Menu Contribution'.
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl that return MDynamicMenuContribution
Modifier and Type
Method
Description
`MDynamicMenuContribution`
MenuFactoryImpl.`createDynamicMenuContribution()`

## Uses of MDynamicMenuContribution in org.eclipse.e4.ui.model.application.ui.menu.util

Methods in org.eclipse.e4.ui.model.application.ui.menu.util with parameters of type MDynamicMenuContribution
Modifier and Type
Method
Description
`T1`
MenuSwitch.`caseDynamicMenuContribution(MDynamicMenuContribution object)`
Returns the result of interpreting the object as an instance of 'Dynamic Menu Contribution'.